<html>
<head>
<title>OGRE: Ogre::MaterialScriptProgramDefinition Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a></div>
<h1>Ogre::MaterialScriptProgramDefinition Struct Reference</h1><!-- doxytag: class="Ogre::MaterialScriptProgramDefinition" -->Struct for holding a program definition which is in progress.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1MaterialScriptProgramDefinition-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#d766f0b063f8753dbfdbb04b1e05d2a1">name</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#71d6628fda7a428d149f7f53dcbf86dc">progType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#634973d853b04b2cf2af2133d504b257">language</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#cb6cf4f2d3a5fdaff51d6ca169ad0fc0">source</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#8392666564161eed2e77efed86ead9fd">syntax</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#e1581e882fed968d73656a5a389679ca">supportsSkeletalAnimation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#7d0607b541edd5abfc19a1e933eed431">supportsMorphAnimation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ceffe25ef1a661814764abcff14693a3">supportsPoseAnimation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#4fdff24708148cef3ede00b2e6abade8">usesVertexTextureFetch</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector<br>
&lt; std::pair&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#50c931063dc62e39f0ce3f5e944fa458">customParameters</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct for holding a program definition which is in progress. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00055">55</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="d766f0b063f8753dbfdbb04b1e05d2a1"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::name" ref="d766f0b063f8753dbfdbb04b1e05d2a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#d766f0b063f8753dbfdbb04b1e05d2a1">Ogre::MaterialScriptProgramDefinition::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00057">57</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="71d6628fda7a428d149f7f53dcbf86dc"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::progType" ref="71d6628fda7a428d149f7f53dcbf86dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#71d6628fda7a428d149f7f53dcbf86dc">Ogre::MaterialScriptProgramDefinition::progType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00058">58</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="634973d853b04b2cf2af2133d504b257"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::language" ref="634973d853b04b2cf2af2133d504b257" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#634973d853b04b2cf2af2133d504b257">Ogre::MaterialScriptProgramDefinition::language</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00059">59</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cb6cf4f2d3a5fdaff51d6ca169ad0fc0"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::source" ref="cb6cf4f2d3a5fdaff51d6ca169ad0fc0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#cb6cf4f2d3a5fdaff51d6ca169ad0fc0">Ogre::MaterialScriptProgramDefinition::source</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00060">60</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8392666564161eed2e77efed86ead9fd"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::syntax" ref="8392666564161eed2e77efed86ead9fd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#8392666564161eed2e77efed86ead9fd">Ogre::MaterialScriptProgramDefinition::syntax</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00061">61</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e1581e882fed968d73656a5a389679ca"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::supportsSkeletalAnimation" ref="e1581e882fed968d73656a5a389679ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#e1581e882fed968d73656a5a389679ca">Ogre::MaterialScriptProgramDefinition::supportsSkeletalAnimation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00062">62</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d0607b541edd5abfc19a1e933eed431"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::supportsMorphAnimation" ref="7d0607b541edd5abfc19a1e933eed431" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#7d0607b541edd5abfc19a1e933eed431">Ogre::MaterialScriptProgramDefinition::supportsMorphAnimation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00063">63</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ceffe25ef1a661814764abcff14693a3"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::supportsPoseAnimation" ref="ceffe25ef1a661814764abcff14693a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#ceffe25ef1a661814764abcff14693a3">Ogre::MaterialScriptProgramDefinition::supportsPoseAnimation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00064">64</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4fdff24708148cef3ede00b2e6abade8"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::usesVertexTextureFetch" ref="4fdff24708148cef3ede00b2e6abade8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#4fdff24708148cef3ede00b2e6abade8">Ogre::MaterialScriptProgramDefinition::usesVertexTextureFetch</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00065">65</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="50c931063dc62e39f0ce3f5e944fa458"></a><!-- doxytag: member="Ogre::MaterialScriptProgramDefinition::customParameters" ref="50c931063dc62e39f0ce3f5e944fa458" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; &gt; <a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html#50c931063dc62e39f0ce3f5e944fa458">Ogre::MaterialScriptProgramDefinition::customParameters</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00066">66</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:28 2008
</p>
</body>
</html>
